:root {
  --color-white: #fff;
  --color-black: #000;
  --color-gray: #ccc;
  --color-gray-dark: #444;
  --color-blue--light: #66eaff;
  --color-blue: #007bff;
  --color-orange: #ff8400;
  --color-red: #d32f2f;
}

*,
*:before,
*:after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  display: flex;
  flex-flow: column nowrap;
  min-height: 100vh;
  padding: 1rem;
  font:
    400 18px/1.4 Helvetica,
    "Trebuchet MS",
    Verdana,
    sans-serif;
  background-color: white;
  background-image: url(/assets/images/realized-coach-background.jpg);
  background-attachment: fixed;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  color: var(--color-black);
}

header img {
  height: 64px;
}

main {
  flex: 1;
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
  gap: 3rem;
}

footer {
  display: flex;
  justify-content: center;
  text-align: center;
}

h1 {
  display: flex;
  flex-flow: column nowrap;
  align-items: end;
  text-transform: uppercase;
  color: var(--color-black);
}

a:visited {
  color: var(--color-gray--dark);
}

a:hover {
  text-decoration: underline;
}

p {
  line-height: 1.2;
  margin-bottom: 1rem;
}

input {
  padding: 1em;
  border: none;
  &:disabled,
  &[readonly] {
    filter: grayscale(1);
    opacity: 0.5;
  }
  &[readonly] {
    cursor: wait;
  }
}

button {
  padding: 1em;
  border: none;
  background-color: var(--color-blue);
  color: var(--color-white);
  cursor: pointer;
  &:disabled {
    filter: grayscale(1);
    opacity: 0.5;
    cursor: not-allowed;
  }
}

output {
  margin-bottom: 1em;
}

small p {
  font-size: 0.8rem;
}

.error {
  font-size: 0.75em;
  color: var(--color-orange);
  &.critical {
    color: var(--color-red);
  }
}

.realized {
  background-image: url("/assets/images/realized-coach-title-background-full.jpg");
  background-size: contain;
  background-repeat: repeat;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-size: 16vw;
  line-height: 0.8;
  text-transform: uppercase;
}

.coach {
  margin-right: 1.25%;
  font-size: 3vw;
}

.tm:after {
  content: "\2122";
  font-size: 0.5em;
  vertical-align: super;
}

.slogan {
  font-size: 2em;
  opacity: 0.5;
  text-align: center;
}

.schedule {
  display: flex;
  flex-flow: column nowrap;
  align-items: center;
  form {
    display: flex;
    flex-flow: row nowrap;
    margin-bottom: 1em;
    width: 100%;
    max-width: 25em;
  }
  input[type="text"] {
    flex: 1;
  }
  button {
    padding: 0em 2em;
    background-image: radial-gradient(
      circle,
      var(--color-blue) 0%,
      var(--color-blue--light) 100%
    );
  }
  svg {
    width: 2em;
    height: 2em;
  }
  .error {
    max-width: 40em;
    text-align: center;
  }
  p.alt-lang {
    margin: 0.5em 0 0;
    font-size: 0.5em;
    opacity: 0.75;
  }
}

.footer {
  a {
    text-decoration: none;
  }
}

@media (min-width: 768px) {
  p {
    font-size: 1rem;
    line-height: inherit;
  }
  .realized {
    font-size: 12vw;
    letter-spacing: 3vw;
  }
  .coach {
    margin-right: 3.4vw;
    color: #fff;
    text-shadow: 0 0 1vw var(--color-black);
  }
  .slogan {
    font-size: 3vw;
    opacity: 0.25;
  }
}
